%global srcname colorclass
%global sum Yet another ANSI color text library for Python

Name:           python-%{srcname}
Version:        2.2.0
Release:        3%{?dist}
Summary:        Yet another ANSI color text library for Python

License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/c/%{srcname}/%{srcname}-%{version}.tar.gz

Source1:        https://github.com/Robpol86/colorclass/blob/master/LICENSE

BuildArch:      noarch

%description
Colorful worry-free console applications for Linux, Mac OS X, and Windows.
Yet another ANSI color text library for Python. Provides "auto colors" for
dark/light terminals. Works on Linux, OS X, and Windows.

%package -n python2-%{srcname}
Summary:        Yet another ANSI color text library for Python
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Colorful worry-free console applications for Linux, Mac OS X, and Windows.
Yet another ANSI color text library for Python. Provides "auto colors" for
dark/light terminals. Works on Linux, OS X, and Windows.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        Yet another ANSI color text library for Python
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
Colorful worry-free console applications for Linux, Mac OS X, and Windows.
Yet another ANSI color text library for Python. Provides "auto colors" for
dark/light terminals. Works on Linux, OS X, and Windows.

%prep
%autosetup -n %{srcname}-%{version}
cp %{SOURCE1} .
rm -rf colorclass.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check

%files -n python2-%{srcname}
%license LICENSE
%doc README.rst
%{python2_sitelib}/*

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/colorclass*

%changelog
* Thu Mar 07 2019 Troy Dawson <tdawson@redhat.com> - 2.2.0-3
- Rebuilt to change main python from 3.4 to 3.6

* Wed Oct 04 2017 Robert Scheck <robert@fedoraproject.org> - 2.2.0-2
- Added spec file conditionals to build for EPEL 7 (#1498629)

* Wed Sep 13 2017 René Ribaud <rene.ribaud@free.fr> - 2.2.0-1
- Include proposed changes by bug #1490059
- Update colorclass to revision 2.2.0

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.2.0-7
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Fri Sep 11 2015 René Ribaud <rene.ribaud@free.fr> - 1.2.0-3
- Include changes from Julien's review #2 (Bugzilla #1258405)

* Tue Sep 08 2015 René Ribaud <rene.ribaud@free.fr> - 1.2.0-2
- Include changes from Julien's review (Bugzilla #1258405)

* Mon Aug 31 2015 René Ribaud <rene.ribaud@free.fr> - 1.2.0-1
- Initial rpm
